<?php
/**
 * Copyright © 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

$banners = $block->getFrontBanners();

?>

<div class="row">
	<?php  foreach($banners as $index => $banner){  ?>
		<div class="col-lg-4 col-md-4">
		 <div class="se_pro_img">
		    <?php if($banner->getLink() != ''): ?><a target="<?php echo $banner->getTarget() ?>" href="<?php echo $banner->getLink() ?>"><?php endif; ?>
    <img src=<?php echo $block->getMediaDirectoryUrl().$banner->getBannerimage() ?> />

		    <div class="se_pro_overlay">
		       <h3><?php echo $banner->getTitle() ?> <i class="fas fa-play"></i> <i class="fas fa-play"></i></h3>
		    </div>
		    <?php if($banner->getLink() != ''): ?></a><?php endif; ?>
		 </div>
		</div>
	<?php  }   ?>      
   </div>
<style>
   .se_pro_img{
   position: relative;
   margin: 15px 0px;
   width: 100%;
   overflow: hidden;
   border-radius: 25px
   }
   .se_pro_img img{
   transition: all 0.3s;
   width: 100%;
   overflow: hidden;
   border-radius: 25px;
   }
   .se_pro_img:hover img{
   transform: scale(1.1);
   width: 100%;
   }
   .se_pro_overlay{
   position: absolute;    
   background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(0,0,0,0.65) 100%); /* FF3.6-15 */
   background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* Chrome10-25,Safari5.1-6 */
   background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
   filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#a6000000',GradientType=0 );   width: 100%;
   background-size: cover;
   top: 0px;
   bottom: 0px;
   }
   .se_pro_img h3{
   text-transform: uppercase;
   color: #ffffff;
   font-size: 22px;
   font-weight: bold;
   position: absolute;
   bottom: 30px;
   left: 30px;
   }
   .se_pro_img h3 i{
   font-size: 15px;
   color: #7EBE43;
   }
</style>